Package org.jbpm.casemgmt.impl.model.instance

## Class CaseFileItemImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.instance.CaseFileItemImpl

- All Implemented Interfaces:
    `Serializable`, `CaseFileItem`

      public class CaseFileItemImpl
      extends Object
      implements CaseFileItem

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseFileItemImpl()` |
    `CaseFileItemImpl​(String caseId, String name, String value, String type, String lastModifiedBy, Date lastModified)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCaseId()` | Returns unique case identifier that this item belongs to
    `Date` | `getLastModified()` | Returns last modification timestamp for this data item
    `String` | `getLastModifiedBy()` | Returns user id who made the last modification of this data item
    `String` | `getName()` | Returns name of the data item
    `String` | `getType()` | Returns type of the data item - FQCN
    `String` | `getValue()` | Returns "toString" version of the latest value of the data item
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseFileItemImpl

          public CaseFileItemImpl()

    - #### CaseFileItemImpl

          public CaseFileItemImpl​(String caseId,
                                  String name,
                                  String value,
                                  String type,
                                  String lastModifiedBy,
                                  Date lastModified)

  - ### Method Detail

    - #### getCaseId

          public String getCaseId()

      Description copied from interface: `CaseFileItem`
      Returns unique case identifier that this item belongs to
      Specified by:
        `getCaseId` in interface `CaseFileItem`

    - #### getName

          public String getName()

      Description copied from interface: `CaseFileItem`
      Returns name of the data item
      Specified by:
        `getName` in interface `CaseFileItem`

    - #### getValue

          public String getValue()

      Description copied from interface: `CaseFileItem`
      Returns "toString" version of the latest value of the data item
      Specified by:
        `getValue` in interface `CaseFileItem`

    - #### getType

          public String getType()

      Description copied from interface: `CaseFileItem`
      Returns type of the data item - FQCN
      Specified by:
        `getType` in interface `CaseFileItem`

    - #### getLastModifiedBy

          public String getLastModifiedBy()

      Description copied from interface: `CaseFileItem`
      Returns user id who made the last modification of this data item
      Specified by:
        `getLastModifiedBy` in interface `CaseFileItem`

    - #### getLastModified

          public Date getLastModified()

      Description copied from interface: `CaseFileItem`
      Returns last modification timestamp for this data item
      Specified by:
        `getLastModified` in interface `CaseFileItem`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`